Subject: Re: [PATCH] Add help details to git help command. (This time with Perl)

From: David Greaves <[email-masked]>
Date: Thu, 21 Apr 2005 10:29:40 +0100

> We've decided to go for the individual scripts directly. :-)
Just to clarify - individual scripts or $0 name handling?

I kinda like one big script - also means we don't need to 'install' it 
to get access to Cogito.pm...

> 
> Unfortunately, you didn't send the attachments inline, so I can't
> comment on them sensibly.

I'm not sure what you want here; last time you said:
> Thanks. Could you please send the patches signed off and either with
> content-disposition: inline or in the mail body?

So I dug around Thunderbird's config and, this time, from my email on 
the git list:
--------------050206040606040908050407
Content-Type: application/x-perl;
  name="gitadd.pl"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
  filename="gitadd.pl"

> Perhaps my main problem is now style. I'd prefer you do format it alike
> the C sources of git, with 8-chars indentation and such. Also make sure
> you use spaces around (or after) operators. Also, for just few short
> functions I prefer putting the functions before the code itself.
will do

David